﻿Option Strict On
Imports Microsoft.Reporting.WinForms

Public Class ReportMitPatameterArray

    Dim Werte As New List(Of String)

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Aktualisieren(Werte)
    End Sub

    Private Sub prtReportViewer_ReportRefresh(sender As System.Object, e As System.ComponentModel.CancelEventArgs) Handles prtReportViewer.ReportRefresh
        Werte.Clear()
        Werte.Add(tbxVorname.Text) '1.Wert
        Werte.Add(tbxNachName.Text) '2.Wert
        Werte.Add(nudAlter.Value.ToString) '3.Wert
        Aktualisieren(Werte)
    End Sub

    Sub Aktualisieren(Werte As List(Of String))
        Me.SuspendLayout()
        Dim pParameter As New ReportParameter("rpMehrereWerte", Werte.ToArray) ' Parameter als Array übergeben
        Dim pVersuch As New ReportParameter("rpVerfügbareWerte", tbxNachName.Text)
        With prtReportViewer
            .LocalReport.ReportEmbeddedResource = "ReportViewerTutorial.Report_ParameterArray.rdlc"
            .LocalReport.SetParameters(New ReportParameter() {pParameter}) ' Parameterübergabe
            .RefreshReport()
        End With
        Me.ResumeLayout()
    End Sub
End Class